index.links.to.section
Prev | ToC/LoT/Index Generation | Next

## index.links.to.section

index.links.to.section — HTML index entries link to container section title

## Synopsis

    <xsl:param name="index.links.to.section" select="1"></xsl:param>

## Description

If zero, then an index entry in an index links directly to the location of the generated `anchor` that is output for the indexterm. If two identical indexterm elements exist in the same section, then both entries appear in the index with the same title but link to different locations.

If non-zero, then an index entry in an index links to the section title containing the `indexterm`, rather than directly to the `anchor` output for the indexterm. Duplicate indexterm entries in the same section are dropped.

The default value is 1, so index entries link to section titles by default.

In both cases, the link text in an index entry is the title of the section containing the indexterm. That is because HTML does not have numbered pages. It also provides the reader with context information for each link.

This parameter lets you choose which style of index linking you want.

- When set to 0, an index entry takes you to the precise location of its corresponding indexterm. However, if you have a lot of duplicate entries in sections, then you have a lot of duplicate titles in the index, which makes it more cluttered. The reader may not recognize why duplicate titles appear until they follow the links. Also, the links may land the reader in the middle of a section where the section title is not visible, which may also be confusing to the reader.

- When set to 1, an index entry link is less precise, but duplicate titles in the index entries are eliminated. Landing on the section title location may confirm the reader's expectation that a link that shows a section title will take them to that section title, not a location within the section.

Prev | Up | Next
index.on.role | Home | index.prefer.titleabbrev